function [S variance]=CalcVar(n0Vect,ARatio)
% This functon takes in a row vector of abundances n0Vect and returns the
% average number of species and the variance in number of species in A<A0.
% The computation is done by a certain number of simulations.

% Presence returns a matrix where each column is a trial and each row is a
% species (m=# of species, n=# of trials). 1 denotes presence and 0 denotes
% absence of the species i in trial j.
PresenceMatrix=Presence(n0Vect,ARatio);

% NumberOfSpecies is a row vector showing the number of species found in A
% for each trial. 
NumberOfSpecies=sum(PresenceMatrix,1);

% Plots histogram
figure
n=hist(NumberOfSpecies,0:length(n0Vect));
n=n/4000;       % Gives us 256 instead! Vector has the frequency of different n
hist(NumberOfSpecies,0:length(n0Vect));
bar(0:length(n0Vect), n, 'hist');
axis([0 length(n0Vect) 0 90]);
xlabel('s');
ylabel('Frequency');
S=mean(NumberOfSpecies);        % Computes the average number of species for all trials

variance=var(NumberOfSpecies);  % Computes the variance in the number of species
