function n0Vect=Histogram(Matrix)
% Creates a histogram for PI(n) for all the observed species in the matrix.
% Returns the vector of abundances


% How to deal with the matrixes with the actual data

% Each column represents one species; # columns = S0
% Each row represents one cell; # rows = A0/Amin

% Each cell has a certain number of individuals in it from each species;
% sum(matrix) = vector of abundances
% sum(sum(matrix)) = N0


% Matrix(:,i) -> column i
% Matrix(i,:) -> row i


% HOW TO MAKE A HISTOGRAM
% We want to make a histogram showing the occurcence of n number of
% individuals in Amin for each species individually. We want to compare
% this to the theoretical PI(n).
% The number of bins should equal the maximum n in one cell.
% nbins=max(Matrix(:,i)) for species i
% m=hist(Matrix(:,i),nbins) creates the histogram. m gives the frequency of
% each n.

max98=[19 14 14 195 65 39 189 130 135 193 167 193 197 225 224 245 248 252 253 252 255 255 256 256];

n0Vect=sum(Matrix);
N0=sum(n0Vect);
S0=size(Matrix,2);
NoA=size(Matrix,1);      % Number of cells with area A
%maxCount=[
for i=1:S0
        if max(Matrix(:,i))>20
            
           
            figure('Name', ['n0=' num2str(n0Vect(i)) ' in A0 when A=A0/' num2str(NoA)]);
            %hist(Matrix(:,i),0:max(Matrix(:,i))/20:max(Matrix(:,i)));
            hist(Matrix(:,i),0:max(Matrix(:,i)));
            axis([0 max(Matrix(:,i)) 0 max98(i)])
            xlabel('n');
            ylabel('Frequency');
        else
            n0Vect(i)
            max(Matrix(:,i))
            
            figure('Name', ['n0=' num2str(n0Vect(i)) ' in A0 when A=A0/' num2str(NoA)]);
            hist(Matrix(:,i),0:max(Matrix(:,i)));
            axis([0 max(Matrix(:,i)) 0 max98(i)])
            xlabel('n');
            ylabel('Frequency');
        end
end

fprintf(['S0=' num2str(S0) ', N0=' num2str(N0)]);
